art-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A Structure that suports rectangle with int coordinates. System.ValueType
- Field
  Art.IRect To be added
- Method
  Art.IRect `` To be added a a To be added
- Method
  System.Void `` Copies the values of the given rectangle, into this one. The that is going to init the current one. The current rectangle will be a clone of the given one.
- Method
  System.Void `` `` Finds the union of two rectangles and initializes the current one with the result. The first source rectangle used. The first source rectangle used.
- Method
  System.Int32 Checks if the rectangle is empty. True if the rectangle is empty, false otherwise. For the rectangle to be empty, x1 has to be smaller or equal to x0, or y0 smaller or equal to y1.
- Method
  System.Void `` `` Finds the intersection of two rectangles and initializes the current one with the result. The first source rectangle used. The second source rectangle used.
- Field
  System.Int32 The first coordinate of the rectangle on the X axis.
- Field
  System.Int32 The first coordinate of the rectangle on the Y axis.
- Field
  System.Int32 The second coordinate of the rectangle on the X axis.
- Field
  System.Int32 The second coordinate of the rectangle on the Y axis.